Bug 1165430 - Fedora-repos needs updating for f21 final
Summary: Fedora-repos needs updating for f21 final
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F21FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2014-11-18 23:48 UTC by Dennis Gilmore
Modified: 2014-11-22 00:45 UTC (History)
6 users (show)

Fixed In Version: fedora-release-21-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-22 00:45:38 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2014-11-18 23:48:45 UTC
Description of problem:
updates-testing needs disabled and fedora repo needs 7 day metadata expiry set

Comment 1 Fedora Update System 2014-11-18 23:51:49 UTC
fedora-release-21-1, fedora-repos-21-1 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedora-repos-21-1,fedora-release-21-1

Comment 2 Tim Flink 2014-11-19 00:04:29 UTC
Hits the following F21 final release criterion [1]:

A Package-x-generic-16.pngfedora-release package containing the correct names, information and repository configuration for a final Fedora release must be present on release-blocking images and the appropriately versioned Package-x-generic-16.pnggeneric-release package must be available in the release repository.

[1] https://fedoraproject.org/wiki/Fedora_21_Final_Release_Criteria#Release_identification

+1 blocker

Comment 3 Kevin Fenzi 2014-11-19 00:22:40 UTC
+1 blocker

Comment 4 Fedora Update System 2014-11-19 03:08:11 UTC
Package fedora-release-21-1, fedora-repos-21-1:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-21-1 fedora-repos-21-1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15336/fedora-repos-21-1,fedora-release-21-1
then log in and leave karma (feedback).

Comment 5 Mike Ruckman 2014-11-19 16:26:56 UTC
Discussed in 2014-11-19 blocker review meeting. This bug violates the final criterion: A fedora-release package containing the correct names, information and repository configuration for a final Fedora release must be present on release-blocking images and the appropriately versioned generic-release package must be available in the release repository.

Comment 6 Kamil Páral 2014-11-20 11:31:49 UTC
(In reply to Fedora Update System from comment #4)
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2014-15336/fedora-repos-21-1,
> fedora-release-21-1
> then log in and leave karma (feedback).

This update fixes the problem, but there are other issues with it. See the Bodhi page.

Comment 7 Fedora Update System 2014-11-22 00:45:38 UTC
fedora-release-21-1, fedora-repos-21-1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.